s390/cpumf: Fix lpp detection

Bug #1555344 reported by bugproxy on 2016-03-09
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu on IBM z Systems
Undecided
Unassigned
linux (Ubuntu)
High
Tim Gardner
Xenial
High
Tim Gardner

Bug Description

== Comment: #0 - Hendrik Brueckner - 2016-03-09 10:54:54 ==
Please backport

http://git.kernel.org/cgit/linux/kernel/git/s390/linux.git/commit/?h=fixes&id=7a76aa95f6f6682db5629449d763251d1c9f8c4e

The patch is currently in the s390 tree queued for the next merge window. I will attach a patch for convenience.

CVE References

Default Comment by Bridge

tags: added: architecture-s39064 bugnameltc-138679 severity-high targetmilestone-inin1604
Changed in ubuntu:
assignee: nobody → Skipper Bug Screeners (skipper-screen-team)
Kevin W. Rudd (kevinr) on 2016-03-09
affects: ubuntu → linux (Ubuntu)
Changed in linux (Ubuntu):
status: New → Confirmed
importance: Undecided → High
dann frazier (dannf) on 2016-03-09
Changed in linux (Ubuntu):
assignee: Skipper Bug Screeners (skipper-screen-team) → Andy Whitcroft (apw)
Tim Gardner (timg-tpi) wrote :

How about a backport to v4.4 ? Attempting to cherry-pick caused a conflict because the existing macro in the assembler instruction is __LC_STFL_FAC_LIST whereas the expected macro is __LC_STFLE_FAC_LIST. My PPC assembler foo is weak.

Changed in linux (Ubuntu Xenial):
status: Confirmed → In Progress
Dimitri John Ledkov (xnox) wrote :

@TIM this has nothing to do with PPC. this is s390x request. STFLE sounds like a little-endian symbol name.... whereas s390x is big-endian, no?

------- Comment From <email address hidden> 2016-03-16 03:54 EDT-------
(In reply to comment #6)
> @TIM this has nothing to do with PPC. this is s390x request. STFLE sounds
> like a little-endian symbol name.... whereas s390x is big-endian, no?

This is entirely s390x. The STFLE is an instruction: "STore Facility List Extented".

------- Comment From <email address hidden> 2016-03-16 04:07 EDT-------
(In reply to comment #5)
> How about a backport to v4.4 ? Attempting to cherry-pick caused a conflict
> because the existing macro in the assembler instruction is
> __LC_STFL_FAC_LIST whereas the expected macro is __LC_STFLE_FAC_LIST. My PPC
> assembler foo is weak.

To cleanly apply the required patch, please also apply the below one first:

commit 76cdd44c2e56ffabc297494c090c6babc8985998
Author: Heiko Carstens <email address hidden>
Date: Tue Nov 24 12:33:07 2015 +0100

s390/facilities: always use lowcore's stfle field for storing facility bits
head.s contains an stfle instruction which stores it result at the
storage location that is assigned to the stfl instruction.
This is currently no problem, since we only care about one double
word. However if the number of double words in the ALS bitfield grows
the current code is not very stable.

E.g. before issuing the stfle command the memory to which it stores
must be cleared, since the instruction may or may not clear memory
contents where no bits are set.

In order to simplify the code a bit always use the storage location
that we reserved for the stfle result.

Signed-off-by: Heiko Carstens <email address hidden>
Signed-off-by: Martin Schwidefsky <email address hidden>

Tim Gardner (timg-tpi) on 2016-04-09
Changed in linux (Ubuntu Xenial):
assignee: Andy Whitcroft (apw) → Tim Gardner (timg-tpi)
Tim Gardner (timg-tpi) on 2016-04-11
Changed in linux (Ubuntu Xenial):
status: In Progress → Fix Committed
dann frazier (dannf) on 2016-04-12
Changed in ubuntu-z-systems:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.5 KiB)

This bug was fixed in the package linux - 4.4.0-21.37

---------------
linux (4.4.0-21.37) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1571791

  * linux: MokSBState is ignored (LP: #1571691)
    - SAUCE: (noup) MODSIGN: Import certificates from UEFI Secure Boot
    - SAUCE: (noup) efi: Disable secure boot if shim is in insecure mode
    - SAUCE: (noup) Display MOKSBState when disabled

linux (4.4.0-20.36) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1571069

  * sysfs mount failure during stateful lxd snapshots (LP: #1570906)
    - SAUCE: kernfs: Do not match superblock in another user namespace when
      mounting

  * Kernel Panic in Ubuntu 16.04 netboot installer (LP: #1570441)
    - x86/topology: Fix logical package mapping
    - x86/topology: Fix Intel HT disable
    - x86/topology: Use total_cpus not nr_cpu_ids for logical packages
    - xen/apic: Provide Xen-specific version of cpu_present_to_apicid APIC op
    - x86/topology: Fix AMD core count

  * [regression]: Failed to call clock_adjtime(): Invalid argument
    (LP: #1566465)
    - ntp: Fix ADJ_SETOFFSET being used w/ ADJ_NANO

linux (4.4.0-19.35) xenial; urgency=low

  [ Tim Gardner ]

  * Release Tracking Bug
    - LP: #1570348

  * CVE-2016-2847 (LP: #1554260)
    - pipe: limit the per-user amount of pages allocated in pipes

  * xenial kernel crash on HP BL460c G7 (qla24xx problem?) (LP: #1554003)
    - SAUCE: (noup) qla2xxx: Add irq affinity notification V2

  * arm64: guest hangs when ntpd is running (LP: #1549494)
    - SAUCE: (noup) KVM: arm/arm64: Handle forward time correction gracefully

  * linux: Enforce signed module loading when UEFI secure boot (LP: #1566221)
    - [Config] CONFIG_EFI_SECURE_BOOT_SIG_ENFORCE=y

  * s390/cpumf: Fix lpp detection (LP: #1555344)
    - s390/facilities: use stfl mnemonic instead of insn magic
    - s390/facilities: always use lowcore's stfle field for storing facility bits
    - s390/cpumf: Fix lpp detection

  * s390x kernel image needs weightwatchers (LP: #1536245)
    - [Config] s390x: Use compressed kernel bzImage

  * Surelock GA2 SP1: surelock02p05: Not seeing sgX devices for LUNs after
    upgrading to Ubuntu 16.04 (LP: #1567581)
    - Revert "UBUNTU: SAUCE: (noup) powerpc/pci: Assign fixed PHB number based on
      device-tree properties"

  * Backport upstream bugfixes to ubuntu-16.04 (LP: #1555765)
    - cpufreq: powernv: Define per_cpu chip pointer to optimize hot-path
    - Revert "cpufreq: postfix policy directory with the first CPU in related_cpus"
    - cpufreq: powernv: Add sysfs attributes to show throttle stats

  * systemd-modules-load.service: Failing due to missing module 'ib_iser' (LP: #1566468)
    - [Config] Add ib_iser to generic inclusion list

  * thunderx nic performance improvements (LP: #1567093)
    - net: thunderx: Set recevie buffer page usage count in bulk
    - net: thunderx: Adjust nicvf structure to reduce cache misses

  * fixes for thunderx nic in multiqueue mode (LP: #1567091)
    - net: thunderx: Fix for multiqset not configured upon interface toggle
    - net: thunderx: Fix for HW TSO not enabled for secondary qsets
    - net: thund...

Read more...

Changed in linux (Ubuntu Xenial):
status: Fix Committed → Fix Released
dann frazier (dannf) on 2016-04-19
Changed in ubuntu-z-systems:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers